Subject: Re: [PATCH 0/9] refs: ref storage format migrations

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 May 2024 09:28:13 -0700

Patrick Steinhardt <[email-masked]> writes:

>> Documenting the limitation is a good place to start.  For normal
>> users, would it be sufficient to
>> 
>>  (1) tell your colleagues that this repository is currently closed
>>      and do not push into it;
>> 
>>  (2) configure "git gc --auto" to never kick in;
>> 
>>  (3) delist the repository from "git maintenance" schedule.
>> 
>> before they try this feature out?
>
> I think (2) wouldn't even be needed. Auto-GC only kicks in when there is
> a write in the repository, and if both (1) and (3) are true then there
> are none. But other than that yes, (1) and (3) should be sufficient.

So it may make sense to document something like that at least?

Thanks.